GEGELATI

Loading...
Searching...
No Matches
Public Attributes | Static Public Attributes | List of all members
Mutator::ProgramParameters Struct Reference

Structure holding all parameters affecting mutations of Program. More...

`#include <mutationParameters.h>`

## Public Attributes
size_t | maxProgramSize = 96
| Maximum number of Line within the Program of the TPGGraph.
size_t | initMinProgramSize = 1
| Initial minimum number of Line within the Program of the TPGGraph.
size_t | initMaxProgramSize = 10
| Initial maximum number of Line within the Program of the TPGGraph.
double | pDelete = 0.5
| Probability of deleting a line of the Program.
double | pAdd = 0.5
| Probability of inserting a line in the Program.
double | pMutate = 1.0
| Probability of altering a line of the Program.
double | pSwap = 1.0
| Probability of swapping two lines of the Program.
double | pConstantMutation = 0.5
| Probability of each constant to be mutated.
double | pNewProgram = 0.0
| Probability of creating a new program.
double | minConstValue = -1.0
| Minimum constant value possible.
double | maxConstValue = 1.0
| Maximum constant value possible.

## Static Public Attributes
static const std::string | maxProgramSizeComment
| JSon comment.
static const std::string | initMinProgramSizeComment
| JSon comment.
static const std::string | initMaxProgramSizeComment
| JSon comment.
static const std::string | pDeleteComment
| JSon comment.
static const std::string | pAddComment
| JSon comment.
static const std::string | pMutateComment
| JSon comment.
static const std::string | pSwapComment
| JSon comment.
static const std::string | pConstantMutationComment
| JSon comment.
static const std::string | pNewProgramComment
| JSon comment.
static const std::string | minConstValueComment
| JSon comment.
static const std::string | maxConstValueComment
| JSon comment.

## Detailed Description

Structure holding all parameters affecting mutations of Program.

## Member Data Documentation

## ◆ initMaxProgramSizeComment

const std::string Mutator::ProgramParameters::initMaxProgramSizeComment
| inline static

Initial value:
=
"// Initial maximum number of Line within the Program of the "
"TPGGraph.\n"
"// \"initMaxProgramSize\" : 10, // Default value"

JSon comment.

## ◆ initMinProgramSizeComment

const std::string Mutator::ProgramParameters::initMinProgramSizeComment
| inline static

Initial value:
=
"// Initial minimum number of Line within the Program of the "
"TPGGraph.\n"
"// \"initMinProgramSize\" : 1, // Default value"

JSon comment.

## ◆ maxConstValueComment

const std::string Mutator::ProgramParameters::maxConstValueComment
| inline static

Initial value:
=
"// Maximum constant value possible.\n"
"// \"maxConstValue\" : 1.0, // Default value"

JSon comment.

## ◆ maxProgramSizeComment

const std::string Mutator::ProgramParameters::maxProgramSizeComment
| inline static

Initial value:
=
"// Maximum number of Line within the Program of the TPG.\n"
"// \"maxProgramSize\" : 96, // Default value"

JSon comment.

## ◆ minConstValueComment

const std::string Mutator::ProgramParameters::minConstValueComment
| inline static

Initial value:
=
"// Minimum constant value possible.\n"
"// \"minConstValue\" : -1.0, // Default value"

JSon comment.

## ◆ pAddComment

const std::string Mutator::ProgramParameters::pAddComment
| inline static

Initial value:
=
"// Probability of inserting a line in the Program.\n"
"// \"pAdd\" : 0.5, // Default value"

JSon comment.

## ◆ pConstantMutationComment

const std::string Mutator::ProgramParameters::pConstantMutationComment
| inline static

Initial value:
=
"// Probability of each constant to be mutated.\n"
"// \"pConstantMutation\" : 0.5, // Default value"

JSon comment.

## ◆ pDeleteComment

const std::string Mutator::ProgramParameters::pDeleteComment
| inline static

Initial value:
=
"// Probability of deleting a line of the Program.\n"
"// \"pDelete\" : 0.5, // Default value"

JSon comment.

## ◆ pMutateComment

const std::string Mutator::ProgramParameters::pMutateComment
| inline static

Initial value:
=
"// Probability of altering a line of the Program.\n"
"// \"pMutate\" : 1.0, // Default value"

JSon comment.

## ◆ pNewProgramComment

const std::string Mutator::ProgramParameters::pNewProgramComment
| inline static

Initial value:
=
"// Probability of creating a new program.\n"
"// \"pNewProgram\" : 0.0, // Default value"

JSon comment.

## ◆ pSwapComment

const std::string Mutator::ProgramParameters::pSwapComment
| inline static

Initial value:
=
"// Probability of swapping two lines of the Program.\n"
"// \"pSwap\" : 1.0, // Default value"

JSon comment.

The documentation for this struct was generated from the following file:

- D:/a/gegelati/gegelati/gegelatilib/include/mutator/mutationParameters.h